Subject: [SIPPING] SDP Rollback in draft-sawada-sipping-sip-offeranswer-01.txt

From: Siddhartha Bhakta <[email-masked]>
Date: Sun, 12 Nov 2006 17:50:28 +0000 (GMT)

Hi,

I am not sure (as I am a very new user to SIPPING
group) whether SDP rollback has ever been discussed
regarding this draft or not. I personally feel that
'SDP rollback' is very relevent topics regarding this
draft.

The sec 1.2 indicates the response(488) to reject any
SDP offer. But the missing part is that if any SIP
request carrying SDP offer is rejected by 3xx-6xx then
SDP offer should be rolled-back. The rollback means,
applying last session description.

Rather than specifying different SIP messages
separately, it would be better to have some thumb rule
that shall be quite easy to follow as far as SDP
rollback is concerned. I am proposing following thumb
rule. Please indicate whether that make sense or not.

The SDP rollback shall be associated with transaction
rollback/rejection.

[1] If the transaction request (carrying SDP offer) is
rejected then SDP offer shall be rolled-back. The
exception is the ACK request. The ACK (of 2xx) can not
be rejected. (The ACK of 3xx-6xx is not the
transaction initiating request).

[2] If any transaction request carries SDP answer
(e.g., ACK or PRACK) then that transaction can not
rejected as there shall be the confusion over whether
SDP shall be rolled-back or not. I suppose, SDP answer
can not be rolled-back. There is no confusion for ACK,
as it can not rejected but for PRACK the restriction
should be there that it can not be rejected if it
carries SDP answer.

This draft says that PRACK(irrespective of whether it
is carrying SDP offer/answer) can not be rejected. I
can not understand the rationale about this statement.
Though, I can appreciate why PRACK MUST not be
rejected it it carries SDP answer.

[3] If any SIP response contains SDP offer then that
SDP can not be rolled-back. If any SIP entity wants to
rollback the SDP offer carried by SIP response, it
should initiate a SIP transaction carrying old SDP to
accomplish it.

There is a special case for re-INVITE. If multiple SDP
offer/answer happens(using PRACK/UPDATE) within
re-INVITE transaction and re-INVITE is rejected by
4xx-6xx then whether all the SDP offer/answer happens
within re-INVITE transaction shall be rolled-back or
not. My suggestion would be that once SDP offer/answer
is completed, that can not rolled-back by means of
transaction rejection. That means, all the completed
SDP offer/answer shall not be rolled-back due to
4xx-6xx of re-INVITE. This decision shall save the
work of SIP UA, SIP SBC, B2BUA etc. that follows SDP
offer/answer state.

Please comment.

Thanks and Regards,
Siddhartha

__________________________________________________________
Yahoo! India Answers: Share what you know. Learn something new
http://in.answers.yahoo.com/

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP